Upgrading your motor to i-Pilot or i-Pilot Link

Select motors can be upgraded to i-Pilot or i-Pilot Link. We have upgrade kits available for upgrading your motor. Except for the Ulterra, Legacy motors are not compatible with Bluetooth i-Pilot and Bluetooth i-Pilot Link. Conversely, motors made 2017 or newer are not compatible with the Legacy i-Pilot and Legacy i-Pilot Link.

 

Motor Requirements for Upgrading

Your motor must be compatible with i-Pilot or i-Pilot Link to upgrade. The chart below shows all of the motors that are able to be upgraded.

  • The motor must have electric steering as this is how the i-Pilot and i-Pilot Link control the motor.
  • The motor must also be new enough for the control board to be compatible with i-Pilot or i-Pilot Link. Motors made before 2007 are not compatible.
  • Some models like the PowerDrive are i-Pilot compatible but not i-Pilot Link compatible.
  • Cable-Steer motors are not compatible because they do not have the electric steering component needed. Cable-steer motors include the Fortrex, Maxxum, and Edge motors.
  • Hand-Tiller motors are also not compatible with upgrading to i-Pilot or i-Pilot Link as they do not have electric steering for the i-Pilot and i-Pilot Link to be able to steer the motor. Hand-Tiller motors include the Fortrex, Maxxum, and Edge motors.
  • Transom-Mount motors are also not compatible with upgrading to i-Pilot or i-Pilot Link as they do not have electric steering for the i-Pilot and i-Pilot Link to be able to steer the motor. Transom-Mount motors include the Traxxis, Endura Max and Endura.IPandIPLCompatibilityChartWithKits.pngRiptideIPandIPLCompatibilityChartWithKits.png
Was this article helpful?
13 out of 13 found this helpful

Articles in this section

See more